PAPD(8)

NAME
papd - AppleTalk print server daemon

SYNOPSIS
/usr/local/libexec/papd [ -d ] [ -f configfile ] [ -p printcap ]

DESCRIPTION
papd is the AppleTalk printer daemon. This daemon accepts print jobs from AppleTalk clients (typically Macintosh computers) using the Printer Access Protocol (PAP). papd spools jobs directly into an lpd(8) spool directory and wakes up lpd after accepting a job from the network to have it re-examine the appropriate spool directory. The actual printing and spooling is handled entirely by lpd.

papd is typically started at boot time, out of /etc/rc. It first reads from its configuration file, /etc/netatalk/papd.conf. The file is in the same format as /etc/printcap. See printcap(5) for details. The name of the entry is registered with NBP. There are currently three supported capabilities.

Name | Type | Default | Descripton
pd | str | ``.ppd'' | Pathname to PPD file
pr | str | ``lp'' | LPD printer name
op | str | ``operator'' | Operator name for LPD spooling

If no configuration file is given, the hostname of the machine is used as the NBP name and all options take their default value.

OPTIONS

-d  Do not fork or disassociate from the terminal. Write some debugging information to stderr.

-f configfile
Consult configfile instead of /etc/netatalk/papd.conf for the configuration information.

-p printcap
Consult printcap instead of /etc/printcap for LPD configuration information.

EXAMPLE
The following papd configuration file sets up two print spoolers for the lpd printers named ps and lp. The first spooler is known by the NBP name Mac Printer Spooler, and uses a PPD file located in /usr/share/lib/ppd. In addition, the user mcs will be the owner of all jobs that are spooled. The second spooler is known as HP Printer and all options are the default.

    Mac Printer Spooler:\
    	:pr=ps:pd=/usr/share/lib/ppd/HPLJ_4M.PPD:op=mcs:
    HP Printer:\
    	:

FILES

/etc/netatalk/papd.conf
    Default configuration file.

/etc/printcap
    Printer capabilities database.

.ppd
    PostScript Printer Description file. papd answers configuration and font queries from printing clients by consulting the configured PPD file. Such files are available from Adobe, Inc, via anonymous ftp from ftp.adobe.com in /pub/adobe/PPDfiles (ftp://ftp.adobe.com/pub/adobe/PPDfiles), or from the printer's manufacturer. If no PPD file is configured, papd will return the default answer, possibly causing the client to send excessively large jobs.

SEE ALSO
lpr(1), lprm(1), ." .BR pap (4), printcap(5). lpc(8), lpd(8).

CAVEATS
papd accepts characters with the high bit set (a full 8-bits) from the clients, but some PostScript printers (including Apple Computer's LaserWriter family) only accept 7-bit characters on their serial interface by default. You will need to configure your printer to accept a full 8 bits.